/* ------- file strlcpy.h ------- */
#ifndef strlcpy_h_
#define strlcpy_h_

#ifdef __cplusplus
   extern "C" {
#endif

/* Implementation of strlcpy and strlcat
   See http://www.courtesan.com/todd/papers/strlcpy.html

   These routines are explicitly designed to move no
   data and simply return the projected size of the
   final strings when called with sz == 0.

   In addition they treat src == NULL as an empty string

   strlcat expects that the sz parameter is greater than
   the size of the dst string.  If not, the treatment is
   exactly the same as if a sz value of 0 was used.

   NOTE: these routines are deliberately designed to
   not require any assistance from the standard
   libraries.  This makes them more useful in any
   embedded systems that must minimize the load size.

   Public domain, by C.B. Falconer
   bug reports to mailto:cbfalconer@worldnet.att.net
*/

#include <stddef.h>

size_t strlcpy(char *dst, const char *src, size_t sz);
size_t strlcat(char *dst, const char *src, size_t sz);

#ifdef __cplusplus
   }
#endif

#endif
/* ------- End file strlcpy.h ------- */
